> For the complete documentation index, see [llms.txt](https://docs.developers.symphony.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.developers.symphony.com/admin-guide/change-log/api-agent/archives/agent-24.9-lts.md).

# Agent - 24.9 (LTS)

{% hint style="info" %}
To download the Agent 24.9, click [here](https://static.symphony.com/agent/agent-24.9.4.zip).
{% endhint %}

## Change log

### Agent 24.9.4

* Fixed security vulnerabilities

### Agent 24.9.3

* DLP violation API now supports the Audit Trail 2 API parameters: Customers using the DLP enforcement API for detailing enforcements natively on Expression Filters v3 (EFv3) can continue to use their existing endpoints in order to download enforcement data such as: *‘Keyword Blocked’, ‘Keyword Unavailable’, ‘Expression Warning’, ‘Expression Blocked’, ‘Expression Logged’, ‘File Blocked’, ‘File Logged’.* but will require changing the parameters used to reference AT2.
  * Customers which tenant is hosted on GCP, and willing to use the DLP enforcement APIs, are required to configure their Agent with the following flag: `agent.dlp.violationSource` set to "`audit`".
* DLP violation API: fixed value of ignoreDlpWarning
* DLP violation API: support case of violations in multiple dictionaries

### Agent 24.9.1

* Upgrade to Spring 3.3.2
* Upgrade jetty dependency

### Changes introduced since last LTS version

* Fixed security vulnerabilities
* (future use) Introduced new 'tier' parameter for message search APIs. This property will be documented once the feature becomes available.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.developers.symphony.com/admin-guide/change-log/api-agent/archives/agent-24.9-lts.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
